---
title: SVGZoomAndPan
slug: Web/API/SVGZoomAndPan
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{obsolete_header}}</div>

<p>The <strong><code>SVGZoomAndPan</code></strong> interface is used to reflect the {{SVGAttr("zoomAndPan")}} attribute, and is mixed in to other interfaces for elements that support this attribute.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_ZOOMANDPAN_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_ZOOMANDPAN_DISABLE</code></td>
   <td>1</td>
   <td>Corresponds to the value <code>disable</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_ZOOMANDPAN_MAGNIFY</code></td>
   <td>2</td>
   <td>Corresponds to the value <code>magnify</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGZoomAndPan.zoomAndPan")}}</dt>
 <dd>An unsigned short representing the value of the {{SVGAttr("zoomAndPan")}} attribute.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods.</em></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGZoomAndPan")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("zoomAndPan")}}</li>
</ul>
